# -*- coding: utf-8 -*-
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).
# Copyright (c) 2018 QubiQ (http://www.qubiq.es)


from odoo import models, fields


class ResPartner(models.Model):
    _inherit = 'res.partner'

    comment_invoice_portal = fields.Text(
        string='Portal Invoice Comment',
    )
    paypal_email = fields.Char(
        string='PayPal Email',
        copy=False,
    )
    is_ac_user = fields.Boolean(
        string="Apple Connect Loc",
        copy=False,
        default=False,
        help='Has this partner an user of Apple Connect Localization?',
    )
    is_ac_user_csl = fields.Boolean(
        string="Apple Connect CSL",
        copy=False,
        default=False,
        help='Has this partner an user of Apple Connect CSL?',
    )
    is_od_user = fields.Boolean(
        string="Open Directory",
        copy=False,
        default=False,
        help='Has this partner an user of Open Directory?',
    )
    is_oo_user = fields.Boolean(
        string="OnlyOffice",
        copy=False,
        default=False,
        help='Has this partner an user of Only User?',
    )
    is_ftp_user = fields.Boolean(
        string="FTP",
        copy=False,
        default=False,
        help='Has this partner an user of FTP?',
    )
    ac_user = fields.Char(
        string=" AC Loc User",
        copy=False,
        default=False,
        help='User of Apple Connect Localization?',
    )
    ac_user_csl = fields.Char(
        string="AC CSL User",
        copy=False,
        default=False,
        help='User of Apple Connect CSL?',
    )
    od_user = fields.Char(
        string="OD User",
        copy=False,
        default=False,
        help='User of Open Directory?',
    )
    oo_user = fields.Char(
        string="OnlyOffice User",
        copy=False,
        default=False,
        help='User of Only User?',
    )
    ftp_user = fields.Char(
        string="FTP User",
        copy=False,
        default=False,
        help='User of FTP?',
    )
