# -*- coding: utf-8 -*-
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models, fields, api, _


class ResPartnerBank(models.Model):
    _inherit = "res.partner.bank"

    """
    Extra fields for the partner bank
    """
    beneficiary = fields.Char(
        string=_('Beneficiary'),
        default=lambda self: self.get_beneficiary()
    )
    aba = fields.Char(
        string=_('ABA'),
        related='bank_id.aba',
    )
    fed_wire = fields.Char(
        string=_('FED wire'),
        related='bank_id.fed_wire',
    )

    """
    Function to get the bank beneficiary.
    """
    @api.multi
    def get_beneficiary(self):
        for sel in self:
            sel.beneficiary = sel.partner_id.name

    """
    Function that modifies the beneficiariif the partner changes.
    """
    @api.onchange('partner_id')
    def change_beneficiary(self):
        self.beneficiary = self.partner_id.name
